edu.whs.spin2018.baoapp.views.lobby

## Class BenutzerAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<BenutzerAdapter.BenutzerViewHolder>
  - - edu.whs.spin2018.baoapp.views.lobby.BenutzerAdapter

-     public class BenutzerAdapter
      extends android.support.v7.widget.RecyclerView.Adapter<BenutzerAdapter.BenutzerViewHolder>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BenutzerAdapter.BenutzerViewHolder` Beschreibt eine ItemView und Metadaten über ihre Position in der RecyclerView

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BenutzerAdapter(LobbyContract.Presenter presenter)` Adapter zum aktualisieren der RecyclerView bei Änderungen im Datensatz.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getItemCount()`
    `void` | `onBindViewHolder(BenutzerAdapter.BenutzerViewHolder holder, int position)`
    `BenutzerAdapter.BenutzerViewHolder` | `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

      `bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BenutzerAdapter

          public BenutzerAdapter(LobbyContract.Presenter presenter)

      Adapter zum aktualisieren der RecyclerView bei Änderungen im Datensatz.
      Parameters:
        `presenter` - - Presenter, der die Daten verwaltet

  - ### Method Detail

    - #### onCreateViewHolder

          @NonNull
          public BenutzerAdapter.BenutzerViewHolder onCreateViewHolder(@NonNull
                                                                                 android.view.ViewGroup parent,
                                                                                 int viewType)

      Specified by:
        `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<BenutzerAdapter.BenutzerViewHolder>`

    - #### onBindViewHolder

          public void onBindViewHolder(@NonNull
                                       BenutzerAdapter.BenutzerViewHolder holder,
                                       int position)

      Specified by:
        `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<BenutzerAdapter.BenutzerViewHolder>`

    - #### getItemCount

          public int getItemCount()

      Specified by:
        `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<BenutzerAdapter.BenutzerViewHolder>`